Skip to content
Start here

Update the current settings for the active account

client.NetworkInterconnects.Settings.Update(ctx, params) (*SettingUpdateResponse, error)
PUT/accounts/{account_id}/cni/settings

Update the current settings for the active account

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic Transit Write
ParametersExpand Collapse
params SettingUpdateParams
AccountID param.Field[string]

Path param: Account tag to update settings for

DefaultASN param.Field[int64]optional

Body param

formatint32
minimum0
ReturnsExpand Collapse
type SettingUpdateResponse struct{…}
DefaultASN int64
formatint32
minimum0

Update the current settings for the active account

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/network_interconnects"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  setting, err := client.NetworkInterconnects.Settings.Update(context.TODO(), network_interconnects.SettingUpdateParams{
    AccountID: cloudflare.F("account_id"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", setting.DefaultASN)
}
{
  "default_asn": 0
}
Returns Examples
{
  "default_asn": 0
}